(function() {
  var __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  PuppetEnterpriseConsole.Node = (function(_super) {
    var name, value, _fn, _ref,
      _this = this;

    __extends(Node, _super);

    function Node() {
      return Node.__super__.constructor.apply(this, arguments);
    }

    Node.persist(Batman.RestStorage);

    Node.url = '/live-management/lm/nodes';

    Node.resourceName = 'node';

    Node.primaryKey = 'name';

    Node.encode('name');

    Node.on('loading', function() {
      var _this = this;
      return setTimeout((function() {
        return _this.set('batmanState', 'loading');
      }), 0);
    });

    Node.on('loaded', function() {
      var _this = this;
      return setTimeout((function() {
        return _this.set('batmanState', 'loaded');
      }), 0);
    });

    Node.classAccessor('filtered', function() {
      var load,
        _this = this;
      load = function(set) {
        _this.unset('loadingError');
        _this.load(_this.get('filters') || {}, function(error, data) {
          var node, _i, _len;
          if (error) {
            _this.set('loadingError', error);
            return _this.fire('loaded');
          } else {
            for (_i = 0, _len = data.length; _i < _len; _i++) {
              node = data[_i];
              node.set('isSelected', true);
            }
            return set.add.apply(set, data);
          }
        });
        return set;
      };
      return load(new Batman.Set());
    });

    Node.classAccessor('selected', function() {
      return this.get('filtered').filter(function(node) {
        return node.get('isSelected');
      });
    });

    Node.classAccessor('nodeSetID', function() {
      var key,
        _this = this;
      key = null;
      $.ajax('/live-management/lm/nodeset', {
        async: false,
        type: 'POST',
        data: {
          nodes: this.get('selected').map(function(n) {
            return n.get('name');
          })
        },
        success: function(data) {
          return key = data;
        }
      });
      return key;
    });

    Node.validateAndGetNodeSetID = function() {
      var key,
        _this = this;
      key = this.get('nodeSetID');
      $.ajax('/live-management/lm/nodeset', {
        async: false,
        type: 'HEAD',
        data: {
          key: key
        },
        statusCode: {
          400: function() {
            return _this.property('selected').refresh();
          }
        }
      });
      return this.get('nodeSetID');
    };

    _ref = {
      selectAll: true,
      selectNone: false
    };
    _fn = function(name, value) {
      return Node[name] = function() {
        this.property('selected').isolate();
        this.get('filtered').forEach(function(node) {
          return node.set('isSelected', value);
        });
        this.property('selected').expose();
        return this.property('selected').refresh();
      };
    };
    for (name in _ref) {
      value = _ref[name];
      _fn(name, value);
    }

    Node.prototype.toggleSelected = function() {
      return this.set('isSelected', !this.get('isSelected'));
    };

    return Node;

  }).call(this, Batman.Model);

}).call(this);
